Line 6 POD HD500 driver fault

Bug #1790595 reported by Губанов Сергей on 2018-09-04
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Губанов Сергей
Bionic
Undecided
Unassigned

Bug Description

Release:
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.1 LTS"
NAME="Ubuntu"
VERSION="18.04.1 LTS (Bionic Beaver)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 18.04.1 LTS"
VERSION_ID="18.04"
HOME_URL="https://www.ubuntu.com/"
SUPPORT_URL="https://help.ubuntu.com/"
BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy"

VERSION_CODENAME=bionic
UBUNTU_CODENAME=bionic

uname:

Linux GSLM 4.15.0-33-lowlatency #36-Ubuntu SMP PREEMPT Wed Aug 15
17:20:28 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lspci -vnvn https://pastebin.com/7KM9bybk

dmesg:

usb 1-5: new high-speed USB device number 6 using xhci_hcd
[ 44.208541] usb 1-5: config 1 interface 1 altsetting 0 bulk endpoint
0x1 has invalid maxpacket 64
[ 44.208548] usb 1-5: config 1 interface 1 altsetting 0 bulk endpoint
0x81 has invalid maxpacket 64
[ 44.209063] usb 1-5: New USB device found, idVendor=0e41, idProduct=414d
[ 44.209068] usb 1-5: New USB device strings: Mfr=1, Product=2,
SerialNumber=0
[ 44.209072] usb 1-5: Product: POD HD500
[ 44.209076] usb 1-5: Manufacturer: Line 6
[ 44.209992] snd_usb_podhd 1-5:1.0: Line 6 POD HD500 found
[ 44.210969] snd_usb_podhd 1-5:1.0: Line 6 POD HD500 now attached
[ 44.211283] snd_usb_podhd 1-5:1.1: Line 6 POD HD500 found
[ 44.211289] usb 1-5: selecting invalid altsetting 1
[ 44.211292] snd_usb_podhd 1-5:1.1: set_interface failed
[ 44.211304] snd_usb_podhd 1-5:1.1: Line 6 POD HD500 now disconnected
[ 44.211317] snd_usb_podhd: probe of 1-5:1.1 failed with error -22
[ 69.605987] nvidia-modeset: Allocated GPU:0
(GPU-a23356f9-937a-4843-a3cc-da12769e0681) @ PCI:0000:01:00.0
[ 69.606386] nvidia-modeset: Freed GPU:0
(GPU-a23356f9-937a-4843-a3cc-da12769e0681) @ PCI:0000:01:00.0
[ 153.206595] usb 1-5: USB disconnect, device number 6
[ 153.207101] snd_usb_podhd 1-5:1.0: Line 6 POD HD500 now disconnected
[ 165.694350] usb 1-1: new high-speed USB device number 7 using xhci_hcd
[ 165.842687] usb 1-1: config 1 interface 1 altsetting 0 bulk endpoint
0x1 has invalid maxpacket 64
[ 165.842693] usb 1-1: config 1 interface 1 altsetting 0 bulk endpoint
0x81 has invalid maxpacket 64
[ 165.843146] usb 1-1: New USB device found, idVendor=0e41,
idProduct=414d
[ 165.843147] usb 1-1: New USB device strings: Mfr=1, Product=2,
SerialNumber=0
[ 165.843149] usb 1-1: Product: POD HD500
[ 165.843150] usb 1-1: Manufacturer: Line 6
[ 165.843800] snd_usb_podhd 1-1:1.0: Line 6 POD HD500 found
[ 165.844514] snd_usb_podhd 1-1:1.0: Line 6 POD HD500 now attached
[ 165.844740] snd_usb_podhd 1-1:1.1: Line 6 POD HD500 found
[ 165.844742] usb 1-1: selecting invalid altsetting 1
[ 165.844743] snd_usb_podhd 1-1:1.1: set_interface failed
[ 165.844747] snd_usb_podhd 1-1:1.1: Line 6 POD HD500 now disconnected
[ 165.844752] snd_usb_podhd: probe of 1-1:1.1 failed with error -22
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CurrentDesktop: KDE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-07-03 (63 days ago)
InstallationMedia: Kubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: ASUSTeK COMPUTER INC. N501VW
NonfreeKernelModules: nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-lowlatency root=UUID=d7f11886-eed1-4644-ac54-ada42c063889 ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-33.36-lowlatency 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-33-lowlatency N/A
 linux-backports-modules-4.15.0-33-lowlatency N/A
 linux-firmware 1.173.1
Tags: bionic
Uname: Linux 4.15.0-33-lowlatency x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm audio cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/28/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N501VW.304
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N501VW
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN501VW.304:bd11/28/2016:svnASUSTeKCOMPUTERINC.:pnN501VW:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN501VW:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: N
dmi.product.name: N501VW
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CurrentDesktop: KDE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-07-03 (66 days ago)
InstallationMedia: Kubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
Package: linux (not installed)
Tags: bionic
Uname: Linux 4.19.0-041900rc2-lowlatency x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm audio cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.15.0-33-lowlatency.
ApportVersion: 2.20.9-0ubuntu7
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: gsl 865 F.... pulseaudio
 /dev/snd/controlC0: gsl 865 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xefebc000 irq 24'
   Mixer name : 'SigmaTel STAC9200'
   Components : 'HDA:83847690,10280201,00102201'
   Controls : 22
   Simple ctrls : 8
Card1.Amixer.info:
 Card hw:1 'PODHD500'/'Line 6 POD HD500 at USB 1-7:1.0'
   Mixer name : ''
   Components : ''
   Controls : 3
   Simple ctrls : 3
CurrentDesktop: LXDE
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=4d51da01-6bae-42ca-b901-fa71d63dceee
InstallationDate: Installed on 2018-09-10 (0 days ago)
InstallationMedia: Lubuntu 18.04 LTS "Bionic Beaver" - Release i386 (20180426)
MachineType: Dell Inc. Latitude D430
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-lowlatency root=UUID=c6f3a75a-b5fb-4209-9504-99c8b77e45b2 ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-33.36-lowlatency 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-33-lowlatency N/A
 linux-backports-modules-4.15.0-33-lowlatency N/A
 linux-firmware 1.173
Tags: bionic
Uname: Linux 4.15.0-33-lowlatency i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/04/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.name: 0XW738
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd01/04/2010:svnDellInc.:pnLatitudeD430:pvr:rvnDellInc.:rn0XW738:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D430
dmi.sys.vendor: Dell Inc.
---
ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.18.0-17-generic.
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: gsl 1322 F.... pulseaudio
 /dev/snd/controlC0: gsl 1322 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xa4318000 irq 139'
   Mixer name : 'Realtek ALC3204'
   Components : 'HDA:10ec0236,1028086f,00100002 HDA:8086280b,80860101,00100000'
   Controls : 56
   Simple ctrls : 18
Card1.Amixer.info:
 Card hw:1 'PODHD500'/'Line 6 POD HD500 at USB 1-1:1.0'
   Mixer name : ''
   Components : ''
   Controls : 3
   Simple ctrls : 3
CurrentDesktop: LXDE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-04-06 (7 days ago)
InstallationMedia: Lubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
MachineType: Dell Inc. G3 3579
NonfreeKernelModules: nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-17-generic root=UUID=a1e4dcb8-3954-4c56-a016-cb5fadb4608b ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.18.0-17.18~18.04.1-generic 4.18.20
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-17-generic N/A
 linux-backports-modules-4.18.0-17-generic N/A
 linux-firmware 1.173.3
Tags: bionic
Uname: Linux 4.18.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/01/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.5.1
dmi.board.name: 05K0D2
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.5.1:bd11/01/2018:svnDellInc.:pnG33579:pvr:rvnDellInc.:rn05K0D2:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: GSeries
dmi.product.name: G3 3579
dmi.product.sku: 086F
dmi.sys.vendor: Dell Inc.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.18.0-19-generic.
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
Card0.Amixer.info:
 Card hw:0 'I82801AAICH'/'Intel 82801AA-ICH with AD1980 at irq 21'
   Mixer name : 'Analog Devices AD1980'
   Components : 'AC97a:41445370'
   Controls : 46
   Simple ctrls : 32
Card1.Amixer.info:
 Card hw:1 'PODHD500'/'Line 6 POD HD500 at USB 1-1:1.0'
   Mixer name : ''
   Components : ''
   Controls : 3
   Simple ctrls : 3
Card2.Amixer.info:
 Card hw:2 'PODHD500_1'/'Line 6 POD HD500 at USB 1-1:1.1'
   Mixer name : ''
   Components : ''
   Controls : 3
   Simple ctrls : 3
CurrentDesktop: LXDE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-04-16 (0 days ago)
InstallationMedia: Lubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
IwConfig:
 enp0s3 no wireless extensions.

 lo no wireless extensions.
Lsusb:
 Bus 001 Device 003: ID 0e41:414d Line6, Inc. Pod HD500
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
Package: linux (not installed)
ProcFB: 0 vboxdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-19-generic root=UUID=b394a298-f7ca-42cc-83cb-d70457cb94ba ro quiet splash
ProcVersionSignature: Ubuntu 4.18.0-19.20~lp1790595-generic 4.18.20
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-19-generic N/A
 linux-backports-modules-4.18.0-19-generic N/A
 linux-firmware 1.173
RfKill:

StagingDrivers: vboxvideo
Tags: bionic staging
Uname: Linux 4.18.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.board.name: VirtualBox
dmi.board.vendor: Oracle Corporation
dmi.board.version: 1.2
dmi.chassis.type: 1
dmi.chassis.vendor: Oracle Corporation
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
dmi.product.family: Virtual Machine
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
---
ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.18.0-19-generic.
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: 92HD88B3 Analog [92HD88B3 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gsl 2814 F.... pulseaudio
 /dev/snd/pcmC0D0p: gsl 2814 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd8a00000 irq 31'
   Mixer name : 'IDT 92HD88B3'
   Components : 'HDA:111d7666,103c1526,00100105 HDA:11c11040,103c1378,00100200 HDA:80862802,80860101,00100000'
   Controls : 30
   Simple ctrls : 12
CurrentDesktop: LXDE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-03-09 (49 days ago)
InstallationMedia: Lubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: Hewlett-Packard HP 620
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-19-generic root=UUID=d7ace595-a4e9-444e-aaac-84d0c1efa050 ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.18.0-19.20~lp1790595-generic 4.18.20
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-19-generic N/A
 linux-backports-modules-4.18.0-19-generic N/A
 linux-firmware 1.173.3
Tags: bionic
Uname: Linux 4.18.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

WifiSyslog:

_MarkForUpload: True
dmi.bios.date: 12/12/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68PVI Ver. F.20
dmi.board.name: 1526
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 71.0E
dmi.chassis.asset.tag: CNU02540Y0
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68PVIVer.F.20:bd12/12/2011:svnHewlett-Packard:pnHP620:pvrF.20:rvnHewlett-Packard:rn1526:rvrKBCVersion71.0E:cvnHewlett-Packard:ct10:cvr:
dmi.product.family: 103C_5336AN
dmi.product.name: HP 620
dmi.product.sku: WD680EA#ACB
dmi.product.version: F.20
dmi.sys.vendor: Hewlett-Packard

CVE References

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1790595

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc2

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

apport information

description: updated

apport information

Same error with v4.19-rc2. I run apport-collect with v4.19, it create only two posts after you.

[ 98.377153] usb 1-5: new high-speed USB device number 5 using xhci_hcd
[ 98.504474] usb 1-5: config 1 interface 1 altsetting 0 bulk endpoint 0x1 has invalid maxpacket 64
[ 98.504482] usb 1-5: config 1 interface 1 altsetting 0 bulk endpoint 0x81 has invalid maxpacket 64
[ 98.504873] usb 1-5: New USB device found, idVendor=0e41, idProduct=414d, bcdDevice= 0.00
[ 98.504878] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 98.504881] usb 1-5: Product: POD HD500
[ 98.504885] usb 1-5: Manufacturer: Line 6
[ 98.527466] snd_usb_podhd 1-5:1.0: Line 6 POD HD500 found
[ 98.528210] snd_usb_podhd 1-5:1.0: Line 6 POD HD500 now attached
[ 98.528242] snd_usb_podhd 1-5:1.1: Line 6 POD HD500 found
[ 98.528244] usb 1-5: selecting invalid altsetting 1
[ 98.528246] snd_usb_podhd 1-5:1.1: set_interface failed
[ 98.528250] snd_usb_podhd 1-5:1.1: Line 6 POD HD500 now disconnected
[ 98.528257] snd_usb_podhd: probe of 1-5:1.1 failed with error -22
[ 98.528271] usbcore: registered new interface driver snd_usb_podhd

I bought that device when I used 14.04 KXStudio with kernel v3.14 and error was present there.
I start a thread at https://ubuntuforums.org/showthread.php?t=2385101. After Temüjin answer i install Ubuntu Release with kernel v4.15 - Kubuntu 18.04? but still no luck with POD HD500.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
assignee: nobody → Губанов Сергей (hdaemon)
description: updated
45 comments hidden view all 125 comments

apport information

tags: added: staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Same messages with wrong altsetting. Audio device creates but all application freezing when play trough it. No sound on playback an recording.

Kai-Heng Feng (kaihengfeng) wrote :

No the altsetting is correct now. Possible to try it bare metal?

Hui Wang (hui.wang) wrote :

Maybe understanding how the configuration:interface:altsetting:endpoint is arranged on this usb device is helpful.

Could you please collect 2 logs:

1st: sudo su;cat /sys/kernel/debug/usb/devices > devices.txt

2nd: lsusb -d 0e41:414d -v > lsusb-v.txt

Then upload these two logs.

thx.

Kai-Heng Feng (kaihengfeng) wrote :

It was
[ 165.844740] snd_usb_podhd 1-1:1.1: Line 6 POD HD500 found
[ 165.844742] usb 1-1: selecting invalid altsetting 1

Now the altsetting is correct:
[ 183.317968] snd_usb_podhd 1-1:1.1: Line 6 POD HD500 found
[ 183.322074] snd_usb_podhd 1-1:1.1: Line 6 POD HD500 now attached

So it's a different issue if it still doesn't work.

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Sorry for late answer. Still no luck with driver even on bare metal. Warning "config 1 interface 1 altsetting 0 bulk endpoint 0x1 has invalid maxpacket 64" still present. Now this driver creates two audio interfaces. Try to play through both by pulseaudio and alsa, no system freezing like in previous times but, no sound playing through phones on hdpod, and no sound recorded on notebook.

Kai-Heng Feng (kaihengfeng) wrote :

Let's fix the wrong altsetting first:
https://lkml.org/lkml/2019/7/18/227

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (27.8 KiB)

This bug was fixed in the package linux - 5.2.0-13.14

---------------
linux (5.2.0-13.14) eoan; urgency=medium

  * eoan/linux: 5.2.0-13.14 -proposed tracker (LP: #1840261)

  * NULL pointer dereference when Inserting the VIMC module (LP: #1840028)
    - media: vimc: fix component match compare

  * Miscellaneous upstream changes
    - selftests/bpf: remove bpf_util.h from BPF C progs

linux (5.2.0-12.13) eoan; urgency=medium

  * eoan/linux: 5.2.0-12.13 -proposed tracker (LP: #1840184)

  * Eoan update: v5.2.8 upstream stable release (LP: #1840178)
    - scsi: fcoe: Embed fc_rport_priv in fcoe_rport structure
    - libnvdimm/bus: Prepare the nd_ioctl() path to be re-entrant
    - libnvdimm/bus: Fix wait_nvdimm_bus_probe_idle() ABBA deadlock
    - ALSA: usb-audio: Sanity checks for each pipe and EP types
    - ALSA: usb-audio: Fix gpf in snd_usb_pipe_sanity_check
    - HID: wacom: fix bit shift for Cintiq Companion 2
    - HID: Add quirk for HP X1200 PIXART OEM mouse
    - atm: iphase: Fix Spectre v1 vulnerability
    - bnx2x: Disable multi-cos feature.
    - drivers/net/ethernet/marvell/mvmdio.c: Fix non OF case
    - ife: error out when nla attributes are empty
    - ip6_gre: reload ipv6h in prepare_ip6gre_xmit_ipv6
    - ip6_tunnel: fix possible use-after-free on xmit
    - ipip: validate header length in ipip_tunnel_xmit
    - mlxsw: spectrum: Fix error path in mlxsw_sp_module_init()
    - mvpp2: fix panic on module removal
    - mvpp2: refactor MTU change code
    - net: bridge: delete local fdb on device init failure
    - net: bridge: mcast: don't delete permanent entries when fast leave is
      enabled
    - net: bridge: move default pvid init/deinit to NETDEV_REGISTER/UNREGISTER
    - net: fix ifindex collision during namespace removal
    - net/mlx5e: always initialize frag->last_in_page
    - net/mlx5: Use reversed order when unregister devices
    - net: phy: fixed_phy: print gpio error only if gpio node is present
    - net: phylink: don't start and stop SGMII PHYs in SFP modules twice
    - net: phylink: Fix flow control for fixed-link
    - net: phy: mscc: initialize stats array
    - net: qualcomm: rmnet: Fix incorrect UL checksum offload logic
    - net: sched: Fix a possible null-pointer dereference in dequeue_func()
    - net sched: update vlan action for batched events operations
    - net: sched: use temporary variable for actions indexes
    - net/smc: do not schedule tx_work in SMC_CLOSED state
    - net: stmmac: Use netif_tx_napi_add() for TX polling function
    - NFC: nfcmrvl: fix gpio-handling regression
    - ocelot: Cancel delayed work before wq destruction
    - tipc: compat: allow tipc commands without arguments
    - tipc: fix unitilized skb list crash
    - tun: mark small packets as owned by the tap sock
    - net/mlx5: Fix modify_cq_in alignment
    - net/mlx5e: Prevent encap flow counter update async to user query
    - r8169: don't use MSI before RTL8168d
    - bpf: fix XDP vlan selftests test_xdp_vlan.sh
    - selftests/bpf: add wrapper scripts for test_xdp_vlan.sh
    - selftests/bpf: reduce time to execute test_xdp_vlan.sh
    - net: fix bpf_xdp_adjust_head regression for generic-XDP
    - hv_sock: Fi...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (235.3 KiB)

This bug was fixed in the package linux - 4.15.0-60.67

---------------
linux (4.15.0-60.67) bionic; urgency=medium

  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)

  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"

  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

linux (4.15.0-59.66) bionic; urgency=medium

  * bionic/linux: 4.15.0-59.66 -proposed tracker (LP: #1840006)

  * zfs not completely removed from bionic tree (LP: #1840051)
    - SAUCE: (noup) remove completely the zfs code

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store

  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562

  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list

  * Stacked onexec transitions fail when under NO NEW PRIVS restrictions
    (LP: #1839037)
    - SAUCE: apparmor: fix nnp subset check failure when, stacking

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665) // Tight
    timeout for bcache removal causes spurious failures (LP: #1796292)
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - bcache: fix writeback target calc on large devices
    - bcache: add journal statistic
    - bcache: fix high CPU occupancy during journal
    - bcache: use pr_info() to inform duplicated CACHE_SET_IO_DISABLE set
    - bcache: fix incorrect sysfs output value of strip size
    - bcache: fix error return value in memory shrink
    - bcache: fix using of loop variable in memory shrink
    - bcache: Fix indentation
    - bcache: Add __printf annotation to __bch_check_keys()
    - bcache: Annotate switch fall-through
    - bcache: Fix kernel-doc warnings
    - bcache: Remove an unused variable
    - bcache: Suppress more warnings about set-but-not-used variables
    - bcache: Reduce the number of sparse complaints about lock imbalances
    - bcache: Fix a compiler warning in bcache_device_init()
    - bcache: Move couple of string arrays to sysfs.c
    - bcache: Move couple of functions to sysfs.c
    - bcache: Replace bch_read_string_list() by __sysfs_match_string()

  * linux hwe i386 kernel 5.0.0-21.22~18.04.1 crashes on Lenovo x220
    (LP: #1838115)
    - x86/mm: Check for pfn instead of page in vmalloc_sync_one()
    - x86/mm: Sync also unmappings in vmalloc_sync_all()
    - mm/vmalloc.c: add priority threshold to __purge_vmap_area_lazy()...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Displaying first 40 and last 40 comments. View all 125 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments